apiVersion: v1
kind: Service
metadata:
  name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
  namespace: __CI_ENVIRONMENT_SLUG__
  labels:
      __PROJECT_NAME__: "true"
spec:
  type: ClusterIP
  ports:
    - name: tcp-main-port
      port: 80
      targetPort: __PORT__
      protocol: TCP
    - name: tcp-management-port
      port: __MANAGEMENT_PORT__
      targetPort: __MANAGEMENT_PORT__
      protocol: TCP      
  selector:
    app: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
